Categories:
  - Multimedia
  - System
License: GPL-3.0-or-later
AuthorName: Tim Schneeberger
SourceCode: https://github.com/ThePBone/RootlessJamesDSP
IssueTracker: https://github.com/ThePBone/RootlessJamesDSP/issues
Donate: https://github.com/sponsors/ThePBone

RepoType: git
Repo: https://github.com/ThePBone/RootlessJamesDSP

Builds:
  - versionName: 1.1.1
    versionCode: 17
    commit: 3b11513f1648f105d50b2822820b48c2224143bf
    subdir: app
    submodules: true
    gradle:
      - RootlessFdroid
    output: build/outputs/apk/rootlessFdroid/release/JamesDSP-v$$VERSION$$-rootless-fdroid-universal-release-unsigned.apk
    prebuild:
      - sdkmanager --install "cmake;3.18.1"
      - sed -i 's/^.*classpath("com\.google\.gms:google-services.*$//' ../build.gradle.kts
      - sed -i 's/^.*classpath("com\.google\.firebase:firebase-crashlytics-gradle.*$//'
        ../build.gradle.kts
      - sed -i 's/^.*id("com\.google\.gms\.google-services").*$//' build.gradle.kts
      - sed -i 's/^.*id("com.google.firebase.crashlytics").*$//' build.gradle.kts
      - sed -i 's/^.*import\ com\.google\.firebase.*$//' build.gradle.kts
      - sed -i '/configure<CrashlyticsExtension>/,+3d' build.gradle.kts
    scandelete:
      - app/src/main/cpp/libjamesdsp
    ndk: r23c
    antifeatures:
      - NonFreeNet

  - versionName: 1.1.3
    versionCode: 19
    commit: 43a74a7938ccc839d3ea59af68df6667bf041fb3
    subdir: app
    submodules: true
    gradle:
      - RootlessFdroid
    output: build/outputs/apk/rootlessFdroid/release/JamesDSP-v$$VERSION$$-rootless-fdroid-universal-release-unsigned.apk
    prebuild:
      - sdkmanager --install "cmake;3.18.1"
      - sed -i 's/^.*classpath("com\.google\.gms:google-services.*$//' ../build.gradle.kts
      - sed -i 's/^.*classpath("com\.google\.firebase:firebase-crashlytics-gradle.*$//'
        ../build.gradle.kts
      - sed -i 's/^.*id("com\.google\.gms\.google-services").*$//' build.gradle.kts
      - sed -i 's/^.*id("com.google.firebase.crashlytics").*$//' build.gradle.kts
      - sed -i 's/^.*import\ com\.google\.firebase.*$//' build.gradle.kts
      - sed -i '/configure<CrashlyticsExtension>/,+3d' build.gradle.kts
    scandelete:
      - app/src/main/cpp/libjamesdsp
    ndk: r23c

  - versionName: 1.1.4
    versionCode: 20
    commit: 47dac8e1367e2e31147e1bcaa16a0ddf7edbb9bd
    subdir: app
    submodules: true
    gradle:
      - RootlessFdroid
    output: build/outputs/apk/rootlessFdroid/release/JamesDSP-v$$VERSION$$-rootless-fdroid-universal-release-unsigned.apk
    prebuild:
      - sdkmanager --install "cmake;3.18.1"
      - sed -i 's/^.*classpath("com\.google\.gms:google-services.*$//' ../build.gradle.kts
      - sed -i 's/^.*classpath("com\.google\.firebase:firebase-crashlytics-gradle.*$//'
        ../build.gradle.kts
      - sed -i 's/^.*id("com\.google\.gms\.google-services").*$//' build.gradle.kts
      - sed -i 's/^.*id("com.google.firebase.crashlytics").*$//' build.gradle.kts
      - sed -i 's/^.*import\ com\.google\.firebase.*$//' build.gradle.kts
      - sed -i '/configure<CrashlyticsExtension>/,+3d' build.gradle.kts
    scandelete:
      - app/src/main/cpp/libjamesdsp
    ndk: r23c

  - versionName: 1.2.0
    versionCode: 21
    commit: 6dc88165cca34753161c676adbe5918ab4e84c48
    subdir: app
    submodules: true
    gradle:
      - RootlessFdroid
    output: build/outputs/apk/rootlessFdroid/release/JamesDSP-v$$VERSION$$-rootless-fdroid-universal-release-unsigned.apk
    prebuild:
      - sdkmanager --install "cmake;3.18.1"
      - sed -i 's/^.*classpath("com\.google\.gms:google-services.*$//' ../build.gradle.kts
      - sed -i 's/^.*classpath("com\.google\.firebase:firebase-crashlytics-gradle.*$//'
        ../build.gradle.kts
      - sed -i 's/^.*id("com\.google\.gms\.google-services").*$//' build.gradle.kts
      - sed -i 's/^.*id("com.google.firebase.crashlytics").*$//' build.gradle.kts
      - sed -i 's/^.*import\ com\.google\.firebase.*$//' build.gradle.kts
      - sed -i '/configure<CrashlyticsExtension>/,+3d' build.gradle.kts
    scandelete:
      - app/src/main/cpp/libjamesdsp
    ndk: r23c

MaintainerNotes: |-
    Scanner complains about app/src/main/cpp/libjamesdsp/Main/DSPManager/libs/android-support-v13.jar,
    however it's needed to build DSPManager for libjamesdsp, not libjamesdsp itself, so it's safe to
    remove it, RootlessJamesDSP doesn't need DSPManager from libjamesdsp.

    Upstream provides an fdroid flavor, crashlytics are removed at compile-time,
    libcrashlytics-connector is still included, however crashlytics-related code
    is also removed at compile-time.

    Cmake needs to be installed manually by sdkmanager, otherwise gradle clean fails

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: buildSrc/src/main/kotlin/AndroidConfig.kt|versionCode\s=\s(\d+)|.|versionName\s=\s"(.*)"
CurrentVersion: 1.2.0
CurrentVersionCode: 21
